Package ghidra.framework.main.wizard.project

# Class ProjectWizardData

java.lang.Object
ghidra.framework.main.wizard.project.ProjectWizardData

public class ProjectWizardData extends Object
Wizard data for the `ProjectWizardModel` and its steps for the "new project" wizard. It is also used by the `ProjectChooseRepositoryWizardModel` for the wizards to convert a non-shared project to shared and for changing the repository/server info of an existing shared project.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProjectWizardData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `allowAnonymousAccess()`
  `ProjectLocator`
  `getProjectLocator()`
  `User[]`
  `getProjectUsers()`
  `RepositoryAdapter`
  `getRepository()`
  `String`
  `getRepositoryName()`
  `RepositoryServerAdapter`
  `getServer()`
  `ServerInfo`
  `getServerInfo()`
  `boolean`
  `isNewRepository()`
  `boolean`
  `isSharedProject()`
  `void`
  `setAllowAnonymousAccess(boolean allowAnonymousAccess)`
  `void`
  `setIsNewRepository(boolean b)`
  `void`
  `setIsSharedProject(boolean b)`
  `void`
  `setProjectLocator(ProjectLocator locator)`
  `void`
  `setProjectUsers(User[] projectUsers)`
  `void`
  `setRepository(RepositoryAdapter repository)`
  `void`
  `setRepositoryName(String repositoryName)`
  `void`
  `setServer(RepositoryServerAdapter server)`
  `void`
  `setServerInfo(ServerInfo serverInfo)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProjectWizardData

    public ProjectWizardData()

- ## Method Details

  - ### setIsSharedProject

    public void setIsSharedProject(boolean b)

  - ### isSharedProject

    public boolean isSharedProject()

  - ### setProjectLocator

    public void setProjectLocator(ProjectLocator locator)

  - ### getProjectLocator

    public ProjectLocator getProjectLocator()

  - ### setServerInfo

    public void setServerInfo(ServerInfo serverInfo)

  - ### getServerInfo

    public ServerInfo getServerInfo()

  - ### setServer

    public void setServer(RepositoryServerAdapter server)

  - ### getServer

    public RepositoryServerAdapter getServer()

  - ### setRepositoryName

    public void setRepositoryName(String repositoryName)

  - ### getRepositoryName

    public String getRepositoryName()

  - ### setIsNewRepository

    public void setIsNewRepository(boolean b)

  - ### isNewRepository

    public boolean isNewRepository()

  - ### setProjectUsers

    public void setProjectUsers(User[] projectUsers)

  - ### getProjectUsers

    public User[] getProjectUsers()

  - ### setAllowAnonymousAccess

    public void setAllowAnonymousAccess(boolean allowAnonymousAccess)

  - ### allowAnonymousAccess

    public boolean allowAnonymousAccess()

  - ### setRepository

    public void setRepository(RepositoryAdapter repository)

  - ### getRepository

    public RepositoryAdapter getRepository()